Bug 693761

Summary: Review Request: php-Kohana - The Swift PHP Framework
Product: [Fedora] Fedora Reporter: Gwyn Ciesla <gwync>
Component: Package ReviewAssignee: Matthias Runge <mrunge>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: fedora-package-review, mrunge, notting
Target Milestone: ---Flags: mrunge: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: php-Kohana-2.4-1.rc2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-04 21:18:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 693820    

Description Gwyn Ciesla 2011-04-05 14:20:15 UTC
Kohana is an elegant HMVC PHP5 framework that provides a rich set of 
components for building web applications.
It requires very little configuration, fully supports UTF-8 and i18n, 
and provides many of the tools that a developer needs within a highly 
flexible system. The integrated class auto-loading, cascading file system, 
highly consistent API, and easy integration with vendor libraries make 
it viable for any project, large or small.

SPEC: http://zanoni.jcomserv.net/fedora/php-Kohana/php-Kohana.spec
SRPM: http://zanoni.jcomserv.net/fedora/php-Kohana/php-Kohana-2.4-1.rc2.fc14.src.rpm

I am well aware that this version is old and unsupported, but it is the version required to avoid bundling it with gallery3, which I wil submit for review shortly, and which this BZ will block.

Comment 1 Matthias Runge 2011-09-20 20:02:30 UTC
I'll do a review tomorrow.

Comment 2 Matthias Runge 2011-09-21 21:25:17 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on: noarch
[x]  Rpmlint output: (clean)
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type: BSD
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 32e4729c4f2fc12d206c8a8220f9e463
MD5SUM upstream package: 32e4729c4f2fc12d206c8a8220f9e463
[x]  Package is not known to require ExcludeArch, OR:
Arches excluded:
Why:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[-]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[-]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[x]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3369211
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on: noarch
[-]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[-]  File based requires are sane.


Side note: Definition of buildroot is not required any more.

================
*** APPROVED ***
================

Comment 3 Gwyn Ciesla 2011-09-25 20:49:00 UTC
Noted, thanks very much!

New Package SCM Request
=======================
Package Name: php-Kohana
Short Description: The Swift PHP Framework
Owners: limb
Branches: f15 f16 EL-6
InitialCC:

Comment 4 Gwyn Ciesla 2011-09-25 21:14:58 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-09-25 22:03:16 UTC
php-Kohana-2.4-1.rc2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-Kohana-2.4-1.rc2.fc15

Comment 6 Fedora Update System 2011-09-25 22:03:26 UTC
php-Kohana-2.4-1.rc2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-Kohana-2.4-1.rc2.el6

Comment 7 Fedora Update System 2011-09-25 22:03:35 UTC
php-Kohana-2.4-1.rc2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-Kohana-2.4-1.rc2.fc16

Comment 8 Fedora Update System 2011-09-26 16:47:46 UTC
php-Kohana-2.4-1.rc2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2011-10-04 21:18:07 UTC
php-Kohana-2.4-1.rc2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 10 Fedora Update System 2011-10-05 03:51:58 UTC
php-Kohana-2.4-1.rc2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-10-11 19:26:39 UTC
php-Kohana-2.4-1.rc2.el6 has been pushed to the Fedora EPEL 6 stable repository.